>From f928b58adad49d951014e25da211622ece70ac9e Mon Sep 17 00:00:00 2001
From: Joseph Tulou <brezhoneg1@yahoo.fr>
Date: Wed, 11 Feb 2009 16:23:13 +0100
Subject: [PATCH] corrects a bug when computing boundaries for mouse-x and mouse-y

---
 modules/video_output/x11/xcommon.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/modules/video_output/x11/xcommon.c b/modules/video_output/x11/xcommon.c
index 7b6d6d6..e234d27 100644
--- a/modules/video_output/x11/xcommon.c
+++ b/modules/video_output/x11/xcommon.c
@@ -1362,8 +1362,9 @@ static int ManageVideo( vout_thread_t *p_vout )
 
             if( (int)(xevent.xmotion.x - i_x) < 0 )
                 val.i_int = 0;
-            else if( (unsigned int)val.i_int > p_vout->fmt_in.i_visible_width )
-                val.i_int = p_vout->fmt_in.i_visible_width;
+            else if( (unsigned int)(xevent.xmotion.x - i_x) > i_width )
+                val.i_int = p_vout->fmt_in.i_visible_width +
+                            p_vout->fmt_in.i_x_offset;
 
             var_Set( p_vout, "mouse-x", val );
 
@@ -1375,8 +1376,9 @@ static int ManageVideo( vout_thread_t *p_vout )
 
             if( (int)(xevent.xmotion.y - i_y) < 0 )
                 val.i_int = 0;
-            else if( (unsigned int)val.i_int > p_vout->fmt_in.i_visible_height )
-                val.i_int = p_vout->fmt_in.i_visible_height;
+            else if( (unsigned int)(xevent.xmotion.y - i_y) > i_height )
+                val.i_int = p_vout->fmt_in.i_visible_height +
+                            p_vout->fmt_in.i_y_offset;
 
             var_Set( p_vout, "mouse-y", val );
 
-- 
1.5.2.5

